Closed Bug 1446685 Opened 6 years ago Closed 6 years ago

Graphical glitch on Amazon's login form with WebRender

Categories

(Core :: Graphics: WebRender, defect, P2)

defect

Tracking

()

RESOLVED FIXED
mozilla66
Tracking Status
firefox-esr52 --- unaffected
firefox60 --- disabled
firefox61 --- disabled
firefox65 --- disabled
firefox66 --- fixed

People

(Reporter: linuxhippy, Assigned: gw)

References

(Blocks 1 open bug, )

Details

(Keywords: correctness, nightly-community)

Attachments

(1 file)

User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:61.0) Gecko/20100101 Firefox/61.0
Build ID: 20180317111042

Steps to reproduce:

Amazon's login form has a small graphical glitch in the input focus ring around the text field when WebRender is enabled. OpenGL compositor works as expected.

System: AMD Kaveri 7650k APU, Linux-4.15.9, Mesa-17.3.6
Component: Untriaged → Graphics: WebRender
Product: Firefox → Core
Confirmed in Nightly 61 x64 20180317111042 de_DE @ Debian Testing (KDE, Radeon RX480, 2560x1440).
fresh profile: gfx.webrender.all

I can only see it at 150% zoom and it looks exactly like on your screenshot. Not reproducible with Basic/OpenGL compositing.
Status: UNCONFIRMED → NEW
Ever confirmed: true
OS: Unspecified → Linux
Hardware: Unspecified → x86_64
Version: 61 Branch → Trunk
Jan: Sorry, I forgot to mention this was observed on a 4k screen with a system-wide scale factor of 1.4 -> 140% zoom

Can you still reproduce this?

Flags: needinfo?(linuxhippy)

Win10, GTX1060 @ 250% zoom

ANGLE:
mozregression --find-fix --bad 2018-03-17 --good 2019-01-30 --pref gfx.webrender.all:true -a 'https://www.amazon.de/ap/signin?_encoding=UTF8&ignoreAuthState=1&openid.assoc_handle=deflex&openid.claimed_id=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0%2Fidentifier_select&openid.identity=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0%2Fidentifier_select&openid.mode=checkid_setup&openid.ns=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0&openid.ns.pape=http%3A%2F%2Fspecs.openid.net%2Fextensions%2Fpape%2F1.0&openid.pape.max_auth_age=0&openid.return_to=https%3A%2F%2Fwww.amazon.de%2F%3Fref_%3Dnav_custrec_signin&switch_account='
10:29.29 INFO: First good revision: 14c6b338e32c1da04218311b26e14cd2b9a3102b
10:29.29 INFO: Last bad revision: a1a0f861a0ae43b0a5668aa292e4705885ff19be
10:29.29 INFO: Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=a1a0f861a0ae43b0a5668aa292e4705885ff19be&tochange=14c6b338e32c1da04218311b26e14cd2b9a3102b

14c6b338e32c Jeff Muizelaar — Bug 1492566. Update webrender to f17f6a491d6ff3dc3e13e998dda788d8f5856338

without ANGLE:
mozregression --find-fix --bad 2019-01-05 --good 2019-01-30 --pref gfx.webrender.all:true gfx.webrender.force-angle:false -a 'https://www.amazon.de/ap/signin?_encoding=UTF8&ignoreAuthState=1&openid.assoc_handle=deflex&openid.claimed_id=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0%2Fidentifier_select&openid.identity=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0%2Fidentifier_select&openid.mode=checkid_setup&openid.ns=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0&openid.ns.pape=http%3A%2F%2Fspecs.openid.net%2Fextensions%2Fpape%2F1.0&openid.pape.max_auth_age=0&openid.return_to=https%3A%2F%2Fwww.amazon.de%2F%3Fref_%3Dnav_custrec_signin&switch_account='
7:13.72 INFO: First good revision: 9a347a546d90d87842ca160c836f8d0305b14b99
7:13.72 INFO: Last bad revision: 6063ab0285c78851f79646e83b490f2870d14595
7:13.72 INFO: Pushlog:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=6063ab0285c78851f79646e83b490f2870d14595&tochange=9a347a546d90d87842ca160c836f8d0305b14b99

9a347a546d90 Glenn Watson — Bug 1522351 - Improve accuracy of subpixel box shadows. r=emilio

Assignee: nobody → gwatson
Status: NEW → RESOLVED
Closed: 6 years ago
Depends on: 1492566, 1522351
Flags: needinfo?(linuxhippy)
OS: Linux → All
Hardware: x86_64 → All
Resolution: --- → FIXED
Target Milestone: --- → mozilla66
You need to log in before you can comment on or make changes to this bug.

Attachment

General

Created:
Updated:
Size: